node-eslint-plugin-html_3.2.1-1_all.deb


Advertisement

Description

node-eslint-plugin-html - lint and fix inline scripts contained in HTML files

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-eslint-plugin-html_3.2.1-1_all.deb
Package name node-eslint-plugin-html
Package version 3.2.1
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/BenoitZugmeyer/eslint-plugin-html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 15.39 KB
Installed size 87.00 KB
This module is an ESLint plugin to lint and fix inline scripts contained in
HTML files.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-eslint-plugin-html_3.2.1-1_all.deb 3.2.1 all Ubuntu Universe
node-eslint-plugin-html - - -

Requires

Name Value
node-htmlparser2 >= 3.8.2
node-semver >= 5.4.1
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-eslint-plugin-html_3.2.1-1_all.deb
Source Package node-eslint-plugin-html

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-eslint-plugin-html deb package:
    # sudo apt-get install node-eslint-plugin-html

Files

Path
/usr/lib/nodejs/eslint-plugin-html/package.json
/usr/lib/nodejs/eslint-plugin-html/src/TransformableString.js
/usr/lib/nodejs/eslint-plugin-html/src/extract.js
/usr/lib/nodejs/eslint-plugin-html/src/index.js
/usr/lib/nodejs/eslint-plugin-html/src/settings.js
/usr/lib/nodejs/eslint-plugin-html/src/utils.js
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/.eslintrc.yml
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/TransformableString.js
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/extract.js
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/plugin.js
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/__snapshots__/extract.js.snap
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/cdata.html
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/cdata.xhtml
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/crlf-newlines.html
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/eol-last.html
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/error-at-the-beginning.html
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/fix-bom.html
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/fix.html
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/indent-setting.html
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/javascript-mime-types.html
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/report-bad-indent-setting.html
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/self-closing-tags.xhtml
/usr/lib/nodejs/eslint-plugin-html/src/__tests__/fixtures/simple.html
/usr/share/doc/node-eslint-plugin-html/README.md.gz
/usr/share/doc/node-eslint-plugin-html/changelog.Debian.gz
/usr/share/doc/node-eslint-plugin-html/copyright

Changelog

2017-09-08 - Pirate Praveen <praveen@debian.org>
node-eslint-plugin-html (3.2.1-1) unstable; urgency=low
* Initial release (Closes: #874691)

See Also

Package Description
node-espree_3.5.1+ds-1build1_all.deb Esprima-compatible JavaScript parser built on Acorn
node-esprima-fb_15001.1001.0-dev-harmony-fb-1_all.deb Facebook-specific fork of the esprima project
node-esprima_4.0.1+ds-1_all.deb ECMAScript parsing infrastructure for multipurpose analysis
node-esrecurse_4.2.0-1_all.deb ECMAScript AST recursive visitor
node-estraverse_4.2.0-1_all.deb ECMAScript JS AST traversal functions
node-estree-walker_0.6.0-1build1_all.deb traverse an ESTree-compliant AST in Node.js
node-esutils_2.0.2-1_all.deb utility box for ECMAScript language tools
node-etag_1.4.0-1_all.deb entity tag creator for - Node.js module
node-event-emitter_0.3.5-1_all.deb Environment agnostic event emitter
node-eventemitter2_0.4.13-2_all.deb Event emitter compatible with browsers - module for Node.js
node-events_1.0.2-2_all.deb Node EventEmitter
node-eventsource_0.2.1-1_all.deb W3C compliant EventSource client for Node.js
node-everything.js_1.0.3-1_all.deb Contains every ECMA-262 edition 5.1 grammatical production
node-evp-bytestokey_1.0.3-8_all.deb secure key derivation algorithm in pure javascript
node-execa_0.10.0+dfsg-1_all.deb better `child_process`
Advertisement
Advertisement